Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Auto_IncDec_T.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/Auto_IncDec_T.inl"`
`#include "ace/Auto_IncDec_T.cpp"`

Include dependency graph for Auto_IncDec_T.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Auto_IncDec< ACE_SAFELY_INCREMENTABLE_DECREMENTABLE >
| This class automatically increments and decrements a parameterized counter. More...

## Detailed Description

Id
  Auto_IncDec_T.h,v 4.11 2006/02/10 09:22:26 jwillemsen Exp

Author:
  Edan Ayal <EdanA@cti2.com>